echo off

REM DVTEST.BAT

echo.
echo This batch file executes the design validation tests for MPASM.
echo.

path >oldpath.bat
rem PATH=C:\WINDOWS;C:\WINDOWS\COMMAND;C:\DOS;C:\BP\BIN;C:\feranak\mpasm\test\dvtest
rem PATH=D:\WINDOWS;D:\WINDOWS\COMMAND;C:\DOS;E:\BP\BIN;e:\mpasm\test\dvtest
PATH=C:\WINNT;C:\WINNT\System32;C:\work\mpasm\asmtests
rem call setpath

if "%1" == "" goto NEEDPARAMS
if "%2" == "" goto NEEDPARAMS

del dvtest*.txt

if "%3" == "2" goto ListCheck
if "%3" == "3" goto ObjCheck
if "%3" == "4" goto ObjListCheck

cd files

echo.
echo Deleting old generated files...
echo.

del *.obj
del *.lst
del *.hex
del *.hxl
del *.hxh
del *.cod
del *.err
del *.map
del dvtest*.txt


echo.
echo Assembling files that can be compared...
echo.
rem for %%A in (*.ASM) do call ..\MPASMONE %%A
asmtest -c "/q"
rename betatest.txt dvtest1a.txt

echo. >> dvtest1a.txt
..\timemark >> dvtest1a.txt
echo. >> dvtest1a.txt
echo MPASM Version %1 %2 >> dvtest1a.txt
echo. >> dvtest1a.txt

echo.
echo Comparing hex files...
echo.
rem for %%H in (*.HEX) do call ..\READONE %%H 
comphex >dvtest1b.txt
echo. >> dvtest1b.txt
timemark >> dvtest1b.txt
echo. >> dvtest1b.txt
echo MPASM Version %1 %2 >> dvtest1b.txt
echo. >> dvtest1b.txt
echo.

rem echo. >> dvtest1.txt
rem echo. >> dvtest1.txt
rem ..\filecnt >> dvtest1.txt
rem ..\filecnt

copy dvtest*.txt ..
cd ..

if "%3" == "1" goto DONE

:ListCheck
cd listchk

echo.
echo Deleting old generated files...
echo.

del *.obj
del *.lst
del *.hex
del *.hxl
del *.hxh
del *.cod
del *.err
del *.map
del dvtest*.txt


echo.
echo Assembling files whose list files can be compared...
echo OK/BAD indication on screen can be ignored.
echo.
rem for %%A in (*.ASM) do call ..\MPASMONE %%A
asmtest -c "/q"
del betatest.txt

echo.
echo Comparing list files...
echo.
rem for %%L in (*.LST) do call ..\FCONE %%L
for %%L in (*.LST) do STRIPTOP %%L
complist >dvtest2b.txt
echo. >> dvtest2a.txt
timemark >> dvtest2a.txt
echo. >> dvtest2a.txt
echo MPASM Version %1 %2 >> dvtest2a.txt
echo. >> dvtest2a.txt
echo For details, see file DVTEST2b.TXT >>dvtest2a.txt
echo.

copy dvtest*.txt ..
cd ..

if "%3" == "2" goto DONE


:ObjCheck

echo.
echo Deleting old generated files...
echo.

cd objfiles
del *.obj
del *.lst
del *.hex
del *.hxl
del *.hxh
del *.cod
del *.err
del *.map
del *.o
del *.od
del dvtest*.txt

echo.
echo Assembling files whose object files can be compared...
echo.
asmtest -o "/q"
rename betatest.txt dvtest3a.txt

echo. >> dvtest3a.txt
..\timemark >> dvtest3a.txt
echo. >> dvtest3a.txt
echo MPASM Version %1 %2 >> dvtest3a.txt
echo. >> dvtest3a.txt

echo.
echo Comparing object files...
echo.
for %%L in (*.O) do KILLSTMP %%L
for %%L in (*.O) do DUMPOBJ %%L
compobj >dvtest3b.txt
echo. >> dvtest3b.txt
timemark >> dvtest3b.txt
echo. >> dvtest3b.txt
echo MPASM Version %1 %2 >> dvtest3b.txt
echo. >> dvtest3b.txt
echo.

copy dvtest*.txt ..
cd ..

if "%3" == "3" goto DONE


:ObjListCheck
cd listochk

echo.
echo Deleting old generated files...
echo.

del *.obj
del *.lst
del *.hex
del *.hxl
del *.hxh
del *.cod
del *.err
del *.map
del dvtest*.txt

echo.
echo Assembling object files whose list files can be compared...
echo OK/BAD indication on screen can be ignored.
echo.
asmtest -o "/q"
del betatest.txt

echo.
echo Comparing list files...
echo.
for %%L in (*.LST) do STRIPTOP %%L
cmplisto >dvtest4b.txt
echo. >> dvtest4a.txt
timemark >> dvtest4a.txt
echo. >> dvtest4a.txt
echo MPASM Version %1 %2 >> dvtest4a.txt
echo. >> dvtest4a.txt
echo For details, see file DVTEST4b.TXT >>dvtest4a.txt
echo.

copy dvtest*.txt ..
cd ..

if "%3" == "4" goto DONE


echo.
echo.
echo Deleting old generated files...
echo.

cd handchk
del *.obj
del *.lst
del *.hex
del *.hxl
del *.hxh
del *.cod
del *.err
del *.map

echo. 
echo Assembling files to be handchecked...
echo.
for %%A in (*.ASM) do call ..\MPASMONE %%A
cd..


echo.
echo.
echo Deleting old generated files for hand execution...
echo.

cd handexe
del *.obj
del *.lst
del *.hex
del *.hxl
del *.hxh
del *.cod
del *.err
del *.map
cd..

echo.
echo All files assembled and compared!  Review DVTEST*.TXT for results.
echo.

goto DONE

:NEEDPARAMS
echo.
echo To use this regression test batch file, use the command:
echo        DVTEST version type
echo where version is the version number and type is the release type.
echo For example:
echo.
echo        DVTEST 1.02.02 Intermediate
echo.
echo.


:DONE
oldpath
rem exit

